Subject: 4.1.11 comment (RE: I-DACTION:draft-ietf-ldapbis-protocol-01.txt)

From: "Jim Sermersheim" <[email-masked]>
Date: Sat, 10 Mar 2001 18:14:10 -0700

I talked to Ron again about this and agreed that the wording is incorrect. I put a note in to fix it. The problem (when parsing the language carefully) is that it makes no distinction between name resolution, and searching.

>>> "Kurt D. Zeilenga" <[email-masked]> 3/9/01 8:22:27 PM >>>
At 04:51 PM 3/1/01 -0700, Jim Sermersheim wrote:
>>4.1.11
>>
>>   The referral is not returned for a singleLevel or wholeSubtree search
>>   in which the search scope spans multiple naming contexts, and several
>>   different servers would need to be contacted to complete the
>>   operation. Instead, continuation references, described in section
>>   4.5.3, are returned.
>>
>>Doesn't this rather miss the point. A referral is only returned if the base
>>object couldn't be located (navigated to). The response to a search 'in
>>which the search scope spans multiple naming contexts' may be a referral or
>>not - it doesn't depend on scope or naming contexts.
>
>I think this is just extra information. We could choose to pull it out, and doing so wouldn't affect the protocol, but I don't see it as misleading or confusing. Do you think it causes problems?

I believe this statement helps clarify the use of referrals
vs. continuation references.  I'd prefer it be left in.  It
could prefixed it with "Note:" to indicate the nature of
the statement.